GroovyPageUnitTestResourceLoader (Grails 2.4.4)
Date: 2014-10-28

Package: grails.test.mixin.support

## [Java] Class GroovyPageUnitTestResourceLoader

- grails.test.mixin.support.GroovyPageUnitTestResourceLoader

- All Implemented Interfaces and Traits:
    GrailsApplicationAware, org.springframework.beans.factory.InitializingBean

      public class GroovyPageUnitTestResourceLoader
      extends org.springframework.core.io.DefaultResourceLoader

  A org.springframework.core.io.ResourceLoader implementation that loads GSP views relative to the project base directory for unit tests.

  Authors:
    Graeme Rocher
  Since:
    2.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.lang.String` | `WEB_INF_PREFIX` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class org.springframework.core.io.DefaultResourceLoader` | `CLASSPATH_URL_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GroovyPageUnitTestResourceLoader (java.util.Map<java.lang.String, java.lang.String> groovyPages)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `afterPropertiesSet()`
    `org.springframework.core.io.Resource` | `getResource(java.lang.String location)`
    `void` | `setGrailsApplication(GrailsApplication grailsApplication)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.springframework.core.io.DefaultResourceLoader` | `org.springframework.core.io.DefaultResourceLoader#getClassLoader(), org.springframework.core.io.DefaultResourceLoader#getResource(java.lang.String), org.springframework.core.io.DefaultResourceLoader#setClassLoader(java.lang.ClassLoader), org.springframework.core.io.DefaultResourceLoader#wait(long, int), org.springframework.core.io.DefaultResourceLoader#wait(long), org.springframework.core.io.DefaultResourceLoader#wait(), org.springframework.core.io.DefaultResourceLoader#equals(java.lang.Object), org.springframework.core.io.DefaultResourceLoader#toString(), org.springframework.core.io.DefaultResourceLoader#hashCode(), org.springframework.core.io.DefaultResourceLoader#getClass(), org.springframework.core.io.DefaultResourceLoader#notify(), org.springframework.core.io.DefaultResourceLoader#notifyAll()`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### public static final java.lang.String WEB_INF_PREFIX

  - ### Constructor Detail

    - #### public GroovyPageUnitTestResourceLoader(java.util.Map<java.lang.String, java.lang.String> groovyPages)

  - ### Method Detail

    - #### @java.lang.Override public void afterPropertiesSet()

    - #### @java.lang.Override public org.springframework.core.io.Resource getResource(java.lang.String location)

    - #### @java.lang.Override public void setGrailsApplication(GrailsApplication grailsApplication)